<?php
/**********************************************************************************
* Affiliates.template.php                                                         *
***********************************************************************************
*                                                                                 *
* SMF Affiliates Mod v3.0.2                                                       *
* Copyright (c) 2009 by NIBOGO. All rights reserved.                              *
* Powered by www.mundo-se.com                                                     *
* Created by NIBOGO for Simplemachines.org                                        *
*                                                                                 *
**********************************************************************************/

function template_affiliates_main()
{
    global $context, $txt, $settings, $modSettings, $options, $scripturl;

	// Load the linktree
	echo '
	<div style="margin-bottom: 2px;">
		<a name="top"></a>
		', theme_linktree(), '
	</div>';
	
	// The Main Bar
	affiliates_bar();

	// Show the affiliates information - icon, subject, etc.
	echo '
		<table width="100%" cellpadding="3" cellspacing="0" border="0" style="border-bottom: 0;">
			<tr>';
	$count = 0;

        if (!empty($context['affiliate'])){
	
	foreach ($context['affiliate'] as $affiliate)
	{

	  	if ($count != 0 && ($count % 2) == 0)
        echo '
		</tr><tr>';
		$count++;
        echo '
				<td>
					<table width="100%" border="0" class="bordercolor">
						<tr>
						<td class="catbg" style="height: 25px;">						
			            <a href="'.$scripturl.'?action=affiliates;sa=view;id=', $affiliate['id_affiliate'], '" title="', $affiliate['title'], '">' . $affiliate['title'] . '</a>';
						if ((allowedTo('affiliates_manage')) || (allowedTo('edit_affiliates') && $affiliate['author'] == $context['user']['id']))
			            echo'<a href="'.$scripturl.'?action=affiliates;sa=edit;id=', $affiliate['id_affiliate'], '" title="'.$txt['modify'].'"><img src="'.$settings['theme_url'].'/images/buttons/modify.gif" alt="'.$txt['modify'].'"></a>';
						if ((allowedTo('affiliates_manage')) || (allowedTo('delete_affiliates') && $affiliate['author'] == $context['user']['id']))
						echo'<a href="'.$scripturl.'?action=affiliates;sa=delete;id=', $affiliate['id_affiliate'], '" title="'.$txt['delete'].'"><img src="'.$settings['theme_url'].'/images/buttons/delete.gif" alt="'.$txt['delete'].'"></a>';
						if (allowedTo('affiliates_manage'))
						echo'<a href="'.$scripturl.'?action=affiliates;sa=appstuff;id=', $affiliate['id_affiliate'], '" title="'.$txt['unapprove'].'"><img src="'.$settings['theme_url'].'/images/affiliates/unapprove.png" alt="'.$txt['unapprove'].'"></a>';
						echo'<a href="'.$scripturl.'?action=affiliates;sa=info;id=', $affiliate['id_affiliate'], '" title="'.$txt['affiliates_info'].'"><img src="'.$settings['theme_url'].'/images/affiliates/info.png" alt="'.$txt['affiliates_info'].'"></a>';
                                                if ((allowedTo('affiliates_comment')))
						echo'<a href="'.$scripturl.'?action=affiliates;sa=info;id=', $affiliate['id_affiliate'], '#comment" title="'.$txt['affiliates_add_comment'].'"><img src="'.$settings['theme_url'].'/images/affiliates/com_add.png" alt="'.$txt['affiliates_add_comment'].'"></a>';   
						echo'</td></tr>
						<tr class="windowbg2">
						<td height="170" class="smalltext" style="line-height: 1.3; padding-bottom: 3ex; height: 200px;" align="center">
					<a href="'.$scripturl.'?action=affiliates;sa=view;id=', $affiliate['id_affiliate'], '" title="', $affiliate['title'], '"><img src="', $affiliate['image'], '" alt="', $affiliate['title'], '"></a><br />';

	// The additional Info
	if (!empty($modSettings['affiliates_admin_views']))
	echo'<br/><b>', $txt['views'], ':</b> ', $affiliate['views'], '';
	if (!empty($modSettings['affiliates_admin_submitted']))
	echo'<br/><b>', $txt['affiliates_submitted'], ':</b> ', $affiliate['real_name'], '';
	if (!empty($modSettings['affiliates_submitted_date']))
	echo'<br/><b>', $txt['affiliates_submitted_date'], ':</b> ', timeformat($affiliate['date']), '';
        if (!empty($modSettings['affiliates_admin_rate'])) 
        echo'<br/><b>', $txt['affiliates_rate'], '</b> ', $affiliate['total_rates'], '';
        if (!empty($modSettings['affiliates_pr'])) 
        echo'<br /><div align="center"><img src="http://pr.blogflux.com/prx.php?s=', $affiliate['url'], '" alt="'.$txt['affiliates_page_rank_alt'].'" width="80" height="15" border="0"></div>';
 
	echo'<br/>', $affiliate['description'], '';
	
	echo'
						</td>
					</tr>
				</table>
				</td>';
	}}
        else
        echo'<td class="windowbg2"><div align="center">'.$txt['affiliates_no_affiliate'].'</div></td>';	

	 echo'
      </tr>
		</table>';
	  
	 	// Show the linktree
		echo '
		<div>', theme_linktree(), '<br /></div>';        	
}

function template_affiliates_add()
{
	global $context, $txt, $scripturl, $settings, $modSettings;
	
	affiliates_bar();
	
	if (!empty($modSettings['affiliates_admin_requeriments']))
	echo '
	<div class="tborder">
	<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor"><tr class="catbg">
				<td colspan="2">'.$txt['affiliates_requeriments'].'</td>
			</tr>		
			<tr class="windowbg2">
				<td><b>'.parse_bbc($modSettings['affiliates_admin_requeriments']).'</b></td>				
			</tr>			
		</table></div>';
		
	echo'<form method="post" name="addaffiliate" id="addaffiliate" action="', $scripturl, '?action=affiliates;sa=addverify" accept-charset="', $context['character_set'], '" onsubmit="submitonce(this);">
		<div class="tborder">
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="catbg">
				<td colspan="2">'.$txt['affiliates_add'].'</td>
			</tr>';
			if (allowedTo('affiliates_manage') || allowedTo('affiliates_auto_approve'))
			echo'
			<tr class="windowbg2">
				<td><b>'.$txt['affiliates_enable'].':</b></td>
				<td><input type="checkbox" name="enable" value="1" /></td>
			</tr>';
			echo'				
			<tr class="windowbg2">
				<td width="15%"><b>'.$txt['affiliates_title'].':</b></td>
				<td width="85%"><input type="text" name="affiliatetitle" size="100" /></td>
			</tr>   
	<tr>
	    <td width="15%" class="windowbg2"><b>', $txt['affiliates_description'],':</b></td>
	    <td width="85%" class="windowbg2"><input type="text" name="affiliatedescription" size="100" /></td>
	  </tr>
    <tr>
	    <td width="15%" class="windowbg2"><b>', $txt['affiliates_url'],':</b></td>
	    <td width="85%" class="windowbg2"><input type="text" name="affiliateurl" size="100" /></td>
	  </tr> 
    <tr>
	    <td width="15%" class="windowbg2"><b>', $txt['affiliates_image'],':</b></td>
	    <td width="85%" class="windowbg2"><input type="text" name="affiliateimage" size="100" /></td>
	</tr>
    <tr>
	    <td width="15%" class="windowbg2"><b>', $txt['affiliates_email'],':</b></td>
	    <td width="85%" class="windowbg2"><input type="text" name="affiliateemail" size="100" /></td>
	</tr>';
         // Captcha
	if ($context['visual_verification']){
		echo '
		<tr class="windowbg2">
			 <td width="15%" class="windowbg2"><b>', $txt['verification'], ':</b></td>
			 <td width="85%" class="windowbg2">', template_control_verification($context['visual_verification_id'], 'all'), '</td>
		</tr>';
	} 
	echo'<tr>
	    <td colspan="2" class="windowbg2" align="center">
	    <input type="hidden" name="sc" value="', $context['session_id'], '" />      	
		<input type="submit" name="addaffiliates" value="',$txt['affiliates_add'],'" /></td>
	</tr> 
		</table></div></form>	
	';
}

function template_affiliates_edit()
{
	global $context, $txt, $scripturl;
	
	affiliates_bar();
	
	echo '
	<div class="tborder">
	<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor"><tr class="catbg">
				<td colspan="2">'.$txt['affiliates_current'].'</td>
			</tr>		
			<tr class="windowbg2">
				<td align="center"><a href="',$context['affiliates_edit_info']['url'], '" title="',$context['affiliates_edit_info']['title'], '"><img src="',$context['affiliates_edit_info']['image'], '" alt="',$context['affiliates_edit_info']['title'], '" /></a></td>				
			</tr>			
		</table></div>';
	
	echo ' 
	<form method="post" name="editaffiliate" id="editaffiliatea" action="', $scripturl, '?action=affiliates;sa=editverify;id='.$_REQUEST['id'].'" accept-charset="', $context['character_set'], '" onsubmit="submitonce(this);">
	<div class="tborder">
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="catbg">
				<td colspan="2">'.$txt['affiliates_edit'].'</td>
			</tr>';
            if (allowedTo('affiliates_manage') || allowedTo('affiliates_auto_approve'))
			echo'
			<tr class="windowbg2">
				<td width="15%" class="windowbg2"><b>'.$txt['affiliates_enable'].':</b></td>
				<td width="85%" class="windowbg2"><input type="checkbox" name="enable" value="1" ' ,$context['affiliates_edit_info']['enable'] == 1 ? 'checked="checked"' : '', '/></td>
			</tr>';			
			echo'<tr class="windowbg2">
				<td width="15%"><b>'.$txt['affiliates_title'].':</b></td>
				<td width="85%"><input type="text" name="affiliatetitle" size="100" value="',$context['affiliates_edit_info']['title'], '" /></td>
			</tr>
	   <tr class="windowbg2">
				<td width="15%"><b>'.$txt['affiliates_description'].':</b></td>
				<td width="85%"><input type="text" name="affiliatedescription" size="100" value="',$context['affiliates_edit_info']['description'], '" /></td>
		</tr>
		<tr class="windowbg2">
				<td width="15%"><b>'.$txt['affiliates_url'].':</b></td>
				<td width="85%"><input type="text" name="affiliateurl" size="100" value="',$context['affiliates_edit_info']['url'], '" /></td>
		</tr>
		<tr class="windowbg2">
				<td width="15%"><b>'.$txt['affiliates_image'].':</b></td>
				<td width="85%"><input type="text" name="affiliateimage" size="100" value="',$context['affiliates_edit_info']['image'], '" /></td>
		</tr>
		<tr class="windowbg2">
				<td width="15%"><b>'.$txt['affiliates_email'].':</b></td>
				<td width="85%"><input type="text" name="affiliateemail" size="100" value="',$context['affiliates_edit_info']['email'], '" /></td>
		</tr>
	   <tr>
	    <td colspan="2" class="windowbg2" align="center">
	   <input type="hidden" name="sc" value="', $context['session_id'], '" />	
		',((!allowedTo('affiliates_manage') || !allowedTo('affiliates_auto_approve')) && $context['affiliates_edit_info']['enable'] == 1) ? '<input type="hidden" name="enable" value="1" />	':'','
	    <input type="submit" name="affiliatespage" value="', $txt['affiliates_edit'], '" /></td>
	  </tr>
	  </table></div></form>';
}

function template_affiliates_banners()
{
    global $context, $txt, $settings, $modSettings, $options, $scripturl;

	// Load the linktree
	echo '
	<div style="margin-bottom: 2px;">
		<a name="top"></a>
		', theme_linktree(), '
	</div>';
	
	// The Main Bar
	affiliates_bar();
	
	// Show the affiliates information - icon, subject, etc.
	echo '
		<table width="100%" cellpadding="3" cellspacing="0" border="0" style="border-bottom: 0;">
			<tr>';
	$count = 0;
	
	if (empty($context['banner']))
	echo'<td class="titlebg">'.$txt['affiliates_no_banner'].'</td>';
	else{
	foreach ($context['banner'] as $banner)
	{

	  	if ($count != 0 && ($count % 2) == 0)
        echo '
		</tr><tr>';
		$count++;
        echo '
				<td>
					<table width="100%" border="0" class="bordercolor">
						<tr>
						<td class="catbg">
			            ', $context['forum_name'], '';

			            if (allowedTo('affiliates_manage')) 
                                    echo'<a href="'.$scripturl.'?action=affiliates;sa=bannersedit;id=', $banner['id_banner'], '" title="'.$txt['modify'].'"><img src="'.$settings['theme_url'].'/images/buttons/modify.gif" alt="'.$txt['modify'].'"></a>
						<a href="'.$scripturl.'?action=affiliates;sa=bannersdelete;id=', $banner['id_banner'], '" title="'.$txt['delete'].'"><img src="'.$settings['theme_url'].'/images/buttons/delete.gif" alt="'.$txt['delete'].'"></a>';

                                    echo'</td></tr>
						<tr class="windowbg2">
						<td height="170" class="smalltext" style="line-height: 1.3; padding-bottom: 3ex; height: 200px;" align="center">
					<a href="'.$scripturl.'"><img src="', $banner['image'], '" alt="', $context['forum_name'], '"></a><br />';

	// The textarea
	echo'<br/><textarea style="overflow:hidden;padding:0;margin:0;" readonly="readonly" rows="6" cols="50" onclick="this.select();" title="', $context['forum_name'], '"><a href="'.$scripturl.'"><img src="', $banner['image'], '" alt="', $context['forum_name'], '"></a></textarea>';
	
	echo'
						</td>
					</tr>
				</table>
				</td>';
	}	
        } 	

	 echo'
      </tr>
		</table>';
	  
	 	// Show the linktree
		echo '
		<div>', theme_linktree(), '<br /></div>';        	
}

function template_affiliates_banners_add()
{
	global $context, $txt, $scripturl, $settings, $modSettings;
	
	echo '
	<form method="post" name="addaffiliate" id="addaffiliate" action="', $scripturl, '?action=affiliates;sa=bannersaddverify" accept-charset="', $context['character_set'], '" onsubmit="submitonce(this);">
		<div class="tborder">
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="catbg">
				<td colspan="2">'.$txt['affiliates_admin_add_banner'].'</td>
			</tr>
			<tr class="windowbg2">
				<td width="15%"><b>'.$txt['affiliates_banner_image'].':</b></td>
				<td width="85%"><input type="text" name="bannerimage" size="100" /></td>
			</tr>	
	<tr>
	    <td colspan="2" class="windowbg2" align="center">
	    <input type="hidden" name="sc" value="', $context['session_id'], '" />      	
		<input type="submit" name="addaffiliates" value="',$txt['affiliates_add'],'" /></td>
	</tr> 
		</table></div></form>	
	';
}

function template_banners_edit()
{
	global $context, $txt, $scripturl;
	
	affiliates_bar();
	
	echo ' 
	<form method="post" name="editaffiliate" id="editaffiliatea" action="', $scripturl, '?action=affiliates;sa=bannerseditverify;id='.$_REQUEST['id'].'" accept-charset="', $context['character_set'], '" onsubmit="submitonce(this);">
	<div class="tborder">
		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
			<tr class="catbg">
				<td colspan="2">'.$txt['banners_edit'].'</td>
			</tr>
        <tr class="windowbg2">
				<td width="15%"><b>'.$txt['banner_actual'].':</b></td>
				<td width="85%"><img src="',$context['banners_edit_info']['image'], '" /></td>
		</tr>				
		<tr class="windowbg2">
				<td width="15%"><b>'.$txt['affiliates_image'].':</b></td>
				<td width="85%"><input type="text" name="bannerimage" size="100" value="',$context['banners_edit_info']['image'], '" /></td>
		</tr>		
	   <tr>
	    <td colspan="2" class="windowbg2" align="center">
	   <input type="hidden" name="sc" value="', $context['session_id'], '" />	
	    <input type="hidden" name="p" value="', $context['banners_edit_info']['id_banner'],'" />
	    <input type="submit" name="affiliatespage" value="', $txt['affiliates_edit'], '" /></td>
	  </tr>
	  </table></div></form>';
}

function template_affiliates_approval()
{
    global $context, $txt, $settings, $modSettings, $options, $scripturl;

	// Load the linktree
	echo '
	<div style="margin-bottom: 2px;">
		<a name="top"></a>
		', theme_linktree(), '
	</div>';
	
	// Show the affiliates information - icon, subject, etc.
	echo '
		<table width="100%" cellpadding="3" cellspacing="0" border="0" style="border-bottom: 0;">
			<tr>';
	$count = 0;
	
        if (!empty($context['affiliate'])){
	foreach ($context['affiliate'] as $affiliate)
	{

	  	if ($count != 0 && ($count % 2) == 0)
        echo '
		</tr><tr>';
		$count++;
        echo '
				<td>
					<table width="100%" border="0" class="bordercolor">
						<tr>
						<td class="catbg">
			            <a href="'.$scripturl.'?action=affiliates;sa=view;id=', $affiliate['id_affiliate'], '" title="', $affiliate['title'], '">' . $affiliate['title'] . '</a>
			            <a href="'.$scripturl.'?action=affiliates;sa=edit;id=', $affiliate['id_affiliate'], '" title="'.$txt['modify'].'"><img src="'.$settings['theme_url'].'/images/buttons/modify.gif" alt="'.$txt['modify'].'"></a>
						<a href="'.$scripturl.'?action=affiliates;sa=delete;id=', $affiliate['id_affiliate'], '" title="'.$txt['delete'].'"><img src="'.$settings['theme_url'].'/images/buttons/delete.gif" alt="'.$txt['delete'].'"></a>
						<a href="'.$scripturl.'?action=affiliates;sa=appstuff;id=', $affiliate['id_affiliate'], '" title="'.$txt['approve'].'"><img src="'.$settings['theme_url'].'/images/affiliates/approve.png" alt="'.$txt['approve'].'"></a></td>
						</tr>
						<tr class="windowbg2">
						<td height="170" class="smalltext" style="line-height: 1.3; padding-bottom: 3ex;" align="center">
					<a href="'.$scripturl.'?action=affiliates;sa=view;id=', $affiliate['id_affiliate'], '" title="', $affiliate['title'], '"><img src="', $affiliate['image'], '" alt="', $affiliate['title'], '"></a><br />';

	// The additional Info
	echo'<br/><b>', $txt['affiliates_submitted'], ':</b> ', $affiliate['real_name'], '';
	echo'<br/><b>', $txt['affiliates_submitted_date'], ':</b> ', timeformat($affiliate['date']), '';
        echo'<br/><b>', $txt['email'], ':</b> <a href="mailto:', $affiliate['email'], '">', $affiliate['email'], '</a>'; 
	echo'<br/>', $affiliate['description'], '';
	
	echo'
						</td>
					</tr>
				</table>
				</td>';
	}}
        else
        echo'<td class="windowbg"><center>There are no affiliates awaiting approval</center></td>';	

	 echo'
      </tr>
		</table>';
	  
	 	// Show the linktree
		echo '
		<div>', theme_linktree(), '<br /></div>';        	
}

function template_affiliates_version()
{
	global $context, $txt, $modSettings;
	
	// Load the Affiliates Version
	$affiliates_version = '3.0.2';

	echo '		
	<table border="0" cellpadding="5" cellspacing="0" align="center" width="50%" class="tborder">
      <tr class="titlebg">
         <td colspan="2">'.$txt['affiliates_version'].'</td>
      </tr>
	   <tr> 
      <td class="windowbg">
		<p>', $txt['affiliates_current_version'], ': '.$affiliates_version.'</p>
		<p>', $txt['affiliates_latest_version'], ': <script language="JavaScript" type="text/javascript" src="http://www.mundo-se.com/yagam/affiliates_version.js"></script></p>
		<p>', $txt['affiliates_smf_version'], ': ' . $modSettings["smfVersion"] . '</p>
		<p><a href="http://custom.simplemachines.org/mods/index.php?mod=1617">'.$txt['affiliates_download'].'</a></p>
	  </td></tr>
	  <tr> 
      <td class="windowbg">
		<p><b>Developer & Creator:</b> NIBOGO</p>
		<p><b>Translators:</b> Spanish/Spanish Latin (NIBOGO)</p>
		<p>Has the SMF Affiliates Mod helped you? Then support the developer:</p>
		<p align="center">
		<form name="_xclick" action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_xclick">
<input type="hidden" name="business" value="nibogo2@gmail.com">
<input type="hidden" name="item_name" value="Donate Affiliates">
<input type="hidden" name="currency_code" value="USD">
<input type="image" src="http://www.paypal.com/es_XC/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="Make Donation to Affiliates Mod">
</form></p>
	  </td></tr>
	  </table>';
	 
}

function template_affiliates_ok()
{
	global $context, $txt, $scripturl;
	
	echo '
	<table border="0" cellpadding="5" cellspacing="0" align="center" width="50%" class="tborder">
      <tr class="titlebg">
         <td colspan="2" align="center">'.$txt['affiliates_ok'].'</td>
      </tr>
	   <tr> 
      <td class="windowbg" align="center">
		<p>', $txt['affiliates_succesfully'], '</p>	
        <p><a href="'.$scripturl.'?action=affiliates">', $txt['affiliates_now_back'], '</a> | <a href="'.$scripturl.'">', $txt['affiliates_now_forum'], '</a></p>			
	  </td></tr>
	  </table>';
	 
}

function template_edit_comment()
{
	global $context, $scripturl, $txt, $settings, $modSettings;

		echo '
       <form method="post" name="editcomment" id="editcomment" action="', $scripturl, '?action=affiliates;sa=editcommentverify;id=' . $_REQUEST['id'] . '" onsubmit="submitonce(this);">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" class="tborder">
        <tr>
            <td width="50%" colspan="2" align="left" class="catbg" style="height: 20px;">
              <b>', $txt['affiliates_edit_comment'], '</b></td>
        </tr>';
	
    // Showing BBC?
	if ($context['show_bbc'])
	{
		echo '
							<tr class="windowbg2">
	
								<td colspan="2" align="center">
									', template_control_richedit($context['post_box_name'], 'bbc'), '
								</td>
							</tr>';
	}

	// What about smileys?
	if (!empty($context['smileys']['postform']))
		echo '
							<tr class="windowbg2">
	
								<td colspan="2" align="center">
									', template_control_richedit($context['post_box_name'], 'smileys'), '
								</td>
							</tr>';

	// Show BBC buttons, smileys and textbox.
	echo '
							<tr class="windowbg2">
							
								<td colspan="2" align="center">
									', template_control_richedit($context['post_box_name'], 'message'), '
								</td>
							</tr>

    <tr>
    <td width="28%" colspan="2"  align="center" class="windowbg2">
    <input type="hidden" name="id" value="' . $_REQUEST['id'] . '" />';

     echo '
         <input type="submit" value="' . $txt['affiliates_edit_comment'] . '" name="submit" /></td>

       </tr>
         </table>
        </form>';
}

function template_affiliates_info()
{
    global $context, $txt, $settings, $modSettings, $options, $scripturl, $user_info;

	$modify_button = create_button('modify.gif', 'modify_msg', 'modify', 'align="middle"');
	$remove_button = create_button('delete.gif', 'remove_message', 'remove', 'align="middle"');

        // Load the linktree
	echo '
	<div style="margin-bottom: 2px;">
		<a name="top"></a>
		', theme_linktree(), '
	</div>';
	
	// The Main Bar
	affiliates_bar();

	// Show the affiliates information - icon, subject, etc.
	echo '
		<table width="100%" cellpadding="3" cellspacing="0" border="0" style="border-bottom: 0;">
			<tr>';
        echo '
				<td>
					<table width="100%" border="0" class="bordercolor">
						<tr>
						<td class="catbg" style="height: 25px;">						
			            <a href="'.$scripturl.'?action=affiliates;sa=view;id=', $context['affiliate']['id_affiliate'], '" title="', $context['affiliate']['title'], '">' . $context['affiliate']['title'] . '</a>';
						if ((allowedTo('affiliates_manage')) || (allowedTo('edit_affiliates') && $context['affiliate']['author'] == $context['user']['id']))
			            echo'<a href="'.$scripturl.'?action=affiliates;sa=edit;id=', $context['affiliate']['id_affiliate'], '" title="'.$txt['modify'].'"><img src="'.$settings['theme_url'].'/images/buttons/modify.gif" alt="'.$txt['modify'].'"></a>';
						if ((allowedTo('affiliates_manage')) || (allowedTo('delete_affiliates') && $context['affiliate']['author'] == $context['user']['id']))
						echo'<a href="'.$scripturl.'?action=affiliates;sa=delete;id=', $context['affiliate']['id_affiliate'], '" title="'.$txt['delete'].'"><img src="'.$settings['theme_url'].'/images/buttons/delete.gif" alt="'.$txt['delete'].'"></a>';
						if (allowedTo('affiliates_manage'))
						echo'<a href="'.$scripturl.'?action=affiliates;sa=appstuff;id=', $context['affiliate']['id_affiliate'], '" title="'.$txt['unapprove'].'"><img src="'.$settings['theme_url'].'/images/affiliates/unapprove.png" alt="'.$txt['unapprove'].'"></a>';
						echo'</td></tr>
						<tr class="windowbg2">
						<td height="170" class="smalltext" style="line-height: 1.3; padding-bottom: 3ex; height: 200px;" align="center">
					<a href="'.$scripturl.'?action=affiliates;sa=view;id=', $context['affiliate']['id_affiliate'], '" title="', $context['affiliate']['title'], '"><img src="', $context['affiliate']['image'], '" alt="', $context['affiliate']['title'], '"></a><br />';

	// The additional Info
	if (!empty($modSettings['affiliates_admin_views']))
	echo'<br/><b>', $txt['views'], ':</b> ', $context['affiliate']['views'], '';
	if (!empty($modSettings['affiliates_admin_submitted']))
	echo'<br/><b>', $txt['affiliates_submitted'], ':</b> ', $context['affiliate']['author'], '';
	if (!empty($modSettings['affiliates_submitted_date']))
	echo'<br/><b>', $txt['affiliates_submitted_date'], ':</b> ', $context['affiliate']['date'], '';
        if (!empty($modSettings['affiliates_admin_rate'])) 
        echo'<br/><b>', $txt['affiliates_rate'], '</b> ', $context['affiliate']['total_rates'], '';
        if (!empty($modSettings['affiliates_pr'])) 
        echo'<br /><div align="center"><img src="http://pr.blogflux.com/prx.php?s=', $context['affiliate']['url'], '" alt="'.$txt['affiliates_page_rank_alt'].'" width="80" height="15" border="0"></div>';
 
	echo'<br/>', $context['affiliate']['description'], '';
	
	echo'<div align="center"><a href="'.$scripturl.'?action=affiliates;sa=view;id=', $context['affiliate']['id_affiliate'], '" title="', $context['affiliate']['title'], '"><img src="'.$settings['images_url'].'/affiliates/world.png" alt="" /></a>&nbsp;<a href="'.$scripturl.'?action=affiliates;sa=vote;id=', $context['affiliate']['id_affiliate'], ';type=up" title="', $txt['affiliates_rate_up'], '"><img src="'.$settings['images_url'].'/affiliates/up.png" alt="" /></a>&nbsp;<a href="'.$scripturl.'?action=affiliates;sa=vote;id=', $context['affiliate']['id_affiliate'], ';type=down" title="', $txt['affiliates_rate_down'], '"><img src="'.$settings['images_url'].'/affiliates/down.png" alt="" /></a></div>
						</td>
					</tr>
				</table>
				</td>';
	
	 echo'
      </tr>
		</table>';

                if (allowedTo('affiliates_comment')){
               $windowclass = "windowbg";   		
	         echo'<table cellpadding="3" cellspacing="0" border="0" width="100%" class="tborder">
		<tr class="catbg3">
		<td colspan="2">('.$context['affiliate']['comment_total'].') '.$txt['affiliates_comments'].'</td></tr>';			
			
		if ($context['affiliate']['comment_total'] > 0){		
		foreach($context['affiliate_comment'] as $comment)
		{
		echo'<tr class="', $windowclass, '">
		<td>
		'.parse_bbc($comment['comment']).'</td>';
	        
                if ((allowedTo('affiliates_manage')) || (allowedTo('affiliates_comment') && $comment['author'] == $user_info['id'] && !$user_info['is_guest']))
	        echo'<td align="', !$context['right_to_left'] ? 'right' : 'left', '" valign="bottom" height="20" style="font-size: smaller;">
		<a href="' . $scripturl . '?action=affiliates;sa=editcomment;id=' . $comment['id_comment'] . '">', $modify_button, '</a>
		<a href="' . $scripturl . '?action=affiliates;sa=deletecomment;id=' . $comment['id_comment'] . '" onclick="return confirm(\''.$txt['affiliates_remove_verify'].'\')">', $remove_button, '</a>';
		
                echo'</td><br /></tr>			
		<tr class="', $windowclass, '"><td colspan="2"><hr width="5%" align="left"><span class="smalltext">		
		',(!empty($comment['real_name'])) ? ''.$txt['affiliates_posted'].' <a href="' . $scripturl . '?action=profile;u=' . $comment['author'] . '">'  . $comment['real_name'] . '</a> '.$txt['on'].' ' . timeformat($comment['date']) . ' <a href="' . $scripturl . '?action=profile;u=' . $comment['author'] . '">'  . $comment['real_name'] . '</a> '.$txt['on'].' ' . timeformat($comment['date']) . '':'' ,' 
		', (isset($comment['last_modified']) && ($comment['last_modified'] !== '0')) ? '<i>'.$txt['affiliates_last_modified'].' '.timeformat($comment['last_modified']).'</i>' : '','
		', (isset($comment['modified_name']) && ($comment['modified_name'] !== "")) ? '<i>'.$txt['by'].' '.$comment['modified_name'].'</i>' : '','
		</span><br /></td></tr>';
			
		// Alternate the style class
                 (!empty($windowclass) && $windowclass == "windowbg") ? $windowclass = "windowbg2" : $windowclass = "windowbg";			 
		   }	
		}
		// Maybe we have no comments
		else
		echo'<tr class="', $windowclass, '"><td>'.$txt['affiliates_no_comments'].'</td></tr>';
		echo'</table>
		<br />';      
		
		
	echo '
	<a name="comment"></a><form method="post" name="addcomment" id="addcomment" action="' . $scripturl . '?action=affiliates;sa=commentverify;id='.$_REQUEST['id'].'" onsubmit="submitonce(this);">
    <table border="0" cellpadding="0" cellspacing="0" class="tborder" width="100%">
          <tr>
          <td width="100%" colspan="2"  class="catbg">
           <b>',$txt['affiliates_add_comment'], '</b></td></tr>';

    // Load BBC	
	if ($context['show_bbc'])
	{
		echo '
							<tr class="windowbg2">
	
								<td colspan="2" align="center">
									', template_control_richedit($context['post_box_name'], 'bbc'), '
								</td>
							</tr>';
	}

	// Load smileys
	if (!empty($context['smileys']['postform']))
		echo '
							<tr class="windowbg2">
	
								<td colspan="2" align="center">
									', template_control_richedit($context['post_box_name'], 'smileys'), '
								</td>
							</tr>';

	// Show BBC buttons, smileys and textbox.
	echo '
							<tr class="windowbg2">
							
								<td colspan="2" align="center">
									', template_control_richedit($context['post_box_name'], 'message'), '
								</td>
							</tr>'; 

        // Captcha
	if ($context['visual_verification']){
		echo '
		<tr class="windowbg2">
			<td align="center"><b>', $txt['verification'], ':</b></td>
			<td>', template_control_verification($context['visual_verification_id'], 'all'), '</td>
		</tr>';
	}
   
   echo'
   <tr>
            <td width="28%" colspan="2" align="center" class="windowbg2">
            <input type="hidden" name="id" value="'.$_REQUEST['id'].'" />';
            
			echo '
           <input type="submit" value="', $txt['affiliates_add_comment'], '" name="submit" /></td>

      </tr>
      </table>
      </form>';		
	}
	  
	 	// Show the linktree
		echo '
		<div>', theme_linktree(), '<br /></div>';        	
}

function template_affiliates_stats()
{
       global $settings, $context, $txt, $scripturl, $totalaffiliates;

        echo '
		<div style="padding: 3px;">', theme_linktree(), '</div>';

                // The Main Bar
	        affiliates_bar();
		 	

                 echo '<table border="0" cellpadding="1" cellspacing="0" width="90%" align="center" class="tborder">
			<tr>
				<td class="catbg" colspan="5" align="center" style="height: 20px;font-size: 14px;">', $txt['affiliates_stats'], '</td>
			</tr>			
			<tr>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">
						<tr>
							<td class="windowbg2" width="50%">', $txt['affiliates_stats_total'] ,  ':</td>
							<td class="windowbg2" width="50%"  align="right">', $context['total_affiliates'] , '</td>
						</tr>
						<tr>
							<td class="windowbg2" width="50%">', $txt['affiliates_stats_total_rates'] ,  ':</td>
							<td class="windowbg2" width="50%"  align="right">', $context['total_rates'] , '</td>
						</tr>

					</table>
				</td>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">
						<tr>
							<td class="windowbg2" width="50%">', $txt['affiliates_stats_total_views'] , ':</td>
							<td class="windowbg2" width="50%"  align="right">', $context['total_views'], '</td>
						</tr>
						<tr>
							<td class="windowbg2" width="50%">', $txt['affiliates_stats_total_comments'] ,  ':</td>
							<td class="windowbg2" width="50%" align="right">', $context['total_comments'] , '</td>
						</tr>
					</table>
				</td>

			</tr>
			<tr>
				<td class="catbg" width="50%"><b>', $txt['affiliates_stats_top_viewed'], '</b></td>
				<td class="catbg" width="50%"><b>', $txt['affiliates_stats_top_rated'], '</b></td>
			</tr>
			<tr>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">';
						foreach ($context['top_viewed'] as $affiliate)						
							echo '<tr>
									<td width="60%" valign="top">', $affiliate['link'], '</td>
									<td width="20%" align="left" valign="top">', $affiliate['views'] > 0 ? '<img src="' . $settings['images_url'] . '/bar.gif" width="' . $affiliate['percent'] . '" height="15" alt="" />' : '&nbsp;', '</td>
									<td width="20%" align="right" valign="top">', $affiliate['views'], '</td>
								</tr>';						
	echo '
					</table>
				</td>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">';
						foreach ($context['top_rating'] as $affiliate)						
							echo '<tr>
									<td width="60%" valign="top">', $affiliate['link'], '</td>
									<td width="20%" align="left" valign="top">', $affiliate['total_rates'] > 0 ? '<img src="' . $settings['images_url'] . '/bar.gif" width="' . $affiliate['percent'] . '" height="15" alt="" />' : '&nbsp;', '</td>
									<td width="20%" align="right" valign="top">', $affiliate['total_rates'], '</td>
								</tr>';						
	echo '
					</table>
				</td>
			</tr>
			<tr>
				<td class="catbg" width="50%"><b>', $txt['affiliates_stats_top_comment'], '</b></td>
				<td class="catbg" width="50%"><b>', $txt['affiliates_stats_top_last'], '</b></td>
			</tr>
			<tr>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">';
						foreach ($context['most_comments'] as $affiliate)						
							echo '<tr>
									<td width="60%" valign="top">', $affiliate['link'], '</td>
									<td width="20%" align="left" valign="top">', $affiliate['comment_total'] > 0 ? '<img src="' . $settings['images_url'] . '/bar.gif" width="' . $affiliate['percent'] . '" height="15" alt="" />' : '&nbsp;', '</td>
									<td width="20%" align="right" valign="top">', $affiliate['comment_total'], '</td>
								</tr>';						

	echo '
					</table>
				</td>
				<td class="windowbg2" width="50%" valign="top">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">';
						foreach ($context['last_upload'] as $affiliate)						
							echo '<tr>
									<td width="100%" colspan="3" valign="top">', $affiliate['link'], '</td>
								</tr>';						
	echo '
					</table>
				</td>
			</tr>			
		</table>';
}
?>
